> ## Documentation Index
> Fetch the complete documentation index at: https://docs.derivadex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Exchange Info

> Get global exchange configuration



## OpenAPI

````yaml /api-specs/public-rest-unified.json get /exchange/api/v1/exchange_info
openapi: 3.1.0
info:
  title: DerivaDEX API Documentation
  version: '1.0'
  description: ''
servers:
  - url: https://testnet.derivadex.io
    description: DerivaDEX testnet
security: []
tags:
  - name: Venue-Wide Tables
    description: These APIs expose venue-wide public tables and reference data.
    x-source-api: Public REST API
  - name: System
    description: These APIs return system info.
    x-source-api: Public REST API
  - name: Trade
    description: These APIs provide data for a particular trader.
    x-source-api: Public REST API
  - name: Market
    description: These APIs return key high level metrics for markets.
    x-source-api: Public REST API
  - name: Trade
    description: These APIs provide data for a particular trader.
    x-source-api: Public Exchange REST API
  - name: Market
    description: These APIs return key high level metrics for markets.
    x-source-api: Public Exchange REST API
  - name: System
    description: These APIs return system info.
    x-source-api: Public Exchange REST API
paths:
  /exchange/api/v1/exchange_info:
    get:
      tags:
        - System
      summary: Get Exchange Info
      description: Get global exchange configuration
      responses:
        '200':
          description: Exchange info data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExchangeInfoAPISuccessResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatsAPIErrorResponse'
        '500':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatsAPIErrorResponse'
components:
  schemas:
    ExchangeInfoAPISuccessResponse:
      anyOf:
        - type: object
          additionalProperties: false
          properties:
            value:
              type: object
              properties:
                settlementsInfo:
                  type: array
                  items:
                    type: object
                    properties:
                      type:
                        type: string
                        description: The type of the settlement.
                        examples:
                          - epoch
                      durationValue:
                        type: string
                        description: The duration value of this type of settlement.
                        examples:
                          - '5'
                      durationUnit:
                        type: string
                        description: The duration unit of this type of settlement.
                        examples:
                          - minute
                    required:
                      - type
                      - durationValue
                      - durationUnit
                    additionalProperties: false
                    description: >-
                      A settlement info, contains the specific settlement and
                      the interval value.
                  description: >-
                    A settlement info, contains the specific settlement and the
                    interval value.
                assets:
                  type: array
                  items:
                    type: string
                  description: The assets supported in the exchange.
                  examples:
                    - - USDC
                symbols:
                  type: array
                  items:
                    type: object
                    properties:
                      symbol:
                        type: string
                        description: The symbol name.
                        examples:
                          - ETHP
                      tickSize:
                        type: string
                        description: The tick size of the symbol.
                        examples:
                          - '0.1'
                      maxOrderNotional:
                        type: string
                        description: The max order notional of the symbol.
                        examples:
                          - '1000000'
                      maxTakerPriceDeviation:
                        type: string
                        description: The max taker price deviation of the symbol.
                        examples:
                          - '0.02'
                      minOrderSize:
                        type: string
                        description: The min order size of the symbol.
                        examples:
                          - '0.0001'
                      kind:
                        type: string
                        enum:
                          - SingleNamePerpetual
                          - IndexFundPerpetual
                          - FixedExpiryFuture
                        description: The type of the symbol.
                        examples:
                          - SingleNamePerpetual
                    required:
                      - symbol
                      - tickSize
                      - maxOrderNotional
                      - maxTakerPriceDeviation
                      - minOrderSize
                      - kind
                    additionalProperties: false
                    description: >-
                      A symbol info, with details of the symbol present in the
                      exchange.
                  description: >-
                    A symbol info, with details of the symbol present in the
                    exchange.
              required:
                - settlementsInfo
                - assets
                - symbols
              additionalProperties: false
              description: The value of the response.
            success:
              type: boolean
              const: true
              description: Whether the request was successful
            timestamp:
              type: number
              description: The timestamp of the response
              examples:
                - 1673031089
          required:
            - success
            - timestamp
            - value
        - type: object
          properties:
            success:
              type: boolean
              const: false
            errorMsg:
              anyOf:
                - type: string
                - type: array
                  items:
                    type: object
                    additionalProperties: false
          required:
            - success
          additionalProperties: false
      description: Successful response for the Exchange Info API
    StatsAPIErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          const: false
        errorMsg:
          anyOf:
            - type: string
            - type: array
              items:
                type: object
                additionalProperties: false
      required:
        - success
      additionalProperties: false

````